%%%sample script

%%%
fprintf(1, 'plotting roadmap...\n');
plotRoadmap('nodes102_0.txt', 'transitionProbs102_0.txt')

fprintf(1, 'press any key\n');
pause;

%%%
fprintf(1, 'testing pfold computation with matlab...\n');
!rm -f pfold102_0.txt
!cp pfold102_0_meschach.txt pfold102_0.txt
computePfoldIterWrap(102, 101, 1) %overwrites pfold102_0.txt

load pfold102_0.txt
load pfold102_0_meschach.txt

pfold_matlab   = pfold102_0;
pfold_meschach = pfold102_0_meschach;

differenceInPfolds = max(abs(pfold_matlab - pfold_meschach));
fprintf(1, 'the difference in pfolds computed with the two techniques is %e\n', differenceInPfolds);

fprintf(1, 'press any key\n');
pause;

%%%
fprintf(1, 'comparing srs pfold results with those obtained with MC...\n');

plotPfoldComparisonWrapper([302 402 602 1102 2102 3102 5102 10102], 20, ...
			   './pfoldResults');
